module StrawberryAPI
  
  class Asset

    attr_accessor :id
    attr_accessor :project_id
    attr_accessor :archive_strategy_id
    attr_accessor :name
    attr_accessor :project_name
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :size
    attr_accessor :audio
    attr_accessor :image
    attr_accessor :video
    attr_accessor :avid
    attr_accessor :file_names
    attr_accessor :type
    attr_accessor :duration
    attr_accessor :descriptions
    attr_accessor :metadata
    attr_accessor :clip_names
    attr_accessor :proxy
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'proxy'
          v = Proxy.new(v)
        elsif k == 'metadata'
          v&.map! do |metadatum|
            Metadatum.new(metadatum)
          end
        end
        
        instance_variable_set("@#{k.gsub(/[!@#$%^&*?']/, '')}", v) unless v.nil?
      end
    end

    def audio?
      audio
    end

    def image?
      image
    end

    def video?
      video
    end
  end
end
