require_relative 'access_right'
require_relative 'api_key'
require_relative 'asset'
require_relative 'client'
require_relative 'collection'
require_relative 'metadatum'
require_relative 'custom_metadatum'
require_relative 'custom_metadata/custom_metadata_field'
require_relative 'custom_metadata/custom_metadata_option'
require_relative 'custom_metadata/custom_metadata_set'
require_relative 'edit'
require_relative 'feature'
require_relative 'feedback'
require_relative 'feedback/asset_feedback'
require_relative 'feedback/copy_to_feedback'
require_relative 'feedback/project_feedback'
require_relative 'library'
require_relative 'marker'
require_relative 'project'
require_relative 'proxy'
require_relative 'role'
require_relative 'schedule'
require_relative 'session'
require_relative 'setting'
require_relative 'status_flag'
require_relative 'strategy'
require_relative 'strategy/archive_strategy'
require_relative 'strategy/archive_strategy_state'
require_relative 'strategy/asset_copy_to_strategy'
require_relative 'strategy/project_copy_to_strategy'
require_relative 'team'
require_relative 'template'
require_relative 'user'
require_relative 'client/api_keys'
require_relative 'client/assets'
require_relative 'client/asset_feedbacks'
require_relative 'client/copy_to_feedbacks'
require_relative 'client/project_feedbacks'
require_relative 'client/collections'
require_relative 'client/custom_metadata'
require_relative 'client/custom_metadata_fields'
require_relative 'client/custom_metadata_options'
require_relative 'client/custom_metadata_sets'
require_relative 'client/edits'
require_relative 'client/features'
require_relative 'client/libraries'
require_relative 'client/markers'
require_relative 'client/projects'
require_relative 'client/roles'
require_relative 'client/schedules'
require_relative 'client/searches'
require_relative 'client/sessions'
require_relative 'client/settings'
require_relative 'client/status_flags'
require_relative 'client/archive_strategies'
require_relative 'client/asset_copy_to_strategies'
require_relative 'client/project_copy_to_strategies'
require_relative 'client/teams'
require_relative 'client/templates'
require_relative 'client/users'

module StrawberryAPI
  # Class Client provides methods for querying Strawberry API resources
  #
  # @author Pierre Lebrun <pierreyves.lebrun@gmail.com>
  #
  class Client < StrawberryAPI::HttpClient
    include StrawberryAPI::Client::ApiKeys
    include StrawberryAPI::Client::Assets
    include StrawberryAPI::Client::Collections
    include StrawberryAPI::Client::CustomMetadata
    include StrawberryAPI::Client::CustomMetadataFields
    include StrawberryAPI::Client::CustomMetadataOptions
    include StrawberryAPI::Client::CustomMetadataSets
    include StrawberryAPI::Client::Edits
    include StrawberryAPI::Client::AssetFeedbacks
    include StrawberryAPI::Client::CopyToFeedbacks
    include StrawberryAPI::Client::ProjectFeedbacks
    include StrawberryAPI::Client::Features
    include StrawberryAPI::Client::Libraries
    include StrawberryAPI::Client::Markers
    include StrawberryAPI::Client::Projects
    include StrawberryAPI::Client::Roles
    include StrawberryAPI::Client::Schedules
    include StrawberryAPI::Client::Searches
    include StrawberryAPI::Client::Sessions
    include StrawberryAPI::Client::Settings
    include StrawberryAPI::Client::StatusFlags
    include StrawberryAPI::Client::ArchiveStrategies
    include StrawberryAPI::Client::AssetCopyToStrategies
    include StrawberryAPI::Client::ProjectCopyToStrategies
    include StrawberryAPI::Client::Teams
    include StrawberryAPI::Client::Templates
    include StrawberryAPI::Client::Users
  end
end
