module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module AssetFeedbacks

      # Fetches a asset feedback
      #
      # @param [Integer] id Id of the asset feedback to retrieve
      #
      # @return [StrawberryAPI::AssetFeedback] The fetched asset feedback
      # 
      def asset_feedback(id:)
         data = get("/asset_status/#{id}").parse['job']
         data.nil? ? nil : AssetFeedback.new(data)
      end
      
    end
  end
end