module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Collections

      # Fetches all collections
      #
      #
      # @return [Array<StrawberryAPI::Collection>] A list of collections
      # 
      def collections
        get("/collections").parse['array']&.map do |collection|
          Collection.new(collection)
        end
      end

      # Fetches a collection
      #
      # @param [Integer] id Id of the collection to retrieve
      #
      # @return [StrawberryAPI::Collection] The fetched collection
      # 
      def collection(id:)
        data = get("/collections/#{id}").parse['collection']
        data.nil? ? nil : Collection.new(data)
      end

    end
  end
end