module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module CopyToFeedbacks

      # Fetches a copy to feedback
      #
      # @param [Integer] id Id of the copy to feedback to retrieve
      #
      # @return [StrawberryAPI::CopyToFeedback] The fetched copy to feedback
      # 
      def copy_to_feedback(id:)
         data = get("/copy_to_status/#{id}").parse['job']
         data.nil? ? nil : CopyToFeedback.new(data)
      end
      
    end
  end
end