module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Edits

      # Fetches all edits
      #
      #
      # @return [Array<StrawberryAPI::Edit>] A list of edits
      # 
      def edits
        get("/edits").parse['edits']&.map do |edit|
          Edit.new(edit)
        end
      end

      # Fetches an edit
      #
      # @param [Integer] id Id of the edit to retrieve
      #
      # @return [StrawberryAPI::Edit] The fetched edit
      # 
      def edit(id:)
        data = get("/edits/#{id}").parse['edit']
        data.nil? ? nil : Edit.new(data)
      end

      # Fetches an edit status 
      #
      #
      # @return [<type>] <description>
      # 
      def edit_status
        get("/edit/status").parse['hash']
      end

      # Clears an edit
      #
      #
      # @return [Boolean] Success
      # 
      def edit_clear
        put("/edit/clear").success?
      end
      
    end
  end
end
