module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Features

      # Fetches all features
      #
      #
      # @return [Array<StrawberryAPI::Feature>] A list of features
      # 
      def features
        get("/features").parse['features']&.map do |feature|
          Feature.new(feature)
        end
      end

      # Fetches a feature
      #
      # @param [Integer] id Id of the feature to retrieve
      #
      # @return [StrawberryAPI::Feature] The fetched feature
      # 
      def feature(id:)
         data = get("/features/#{id}").parse['feature']
         data.nil? ? nil : Feature.new(data)
      end
    
    end
  end
end