module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Markers

      # Fetches an asset marker descriptions
      #
      # @param [Interger] asset_id Id of the asset to retrieve marker descriptions from
      #
      # @return [Array<StrawberryAPI::Marker>] The fetched asset marker descriptions
      # 
      def marker(asset_id:)
        get("/assets/#{asset_id}/marker_descriptions").parse['array']&.map do |marker|
          Marker.new(marker)
        end
      end
      
    end
  end
end