module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module ProjectFeedbacks

      # Fetches a project feedback
      #
      # @param [Integer] id Id of the project feedback to retrieve
      #
      # @return [StrawberryAPI::ProjectFeedback] The fetched project feedback
      # 
      def project_feedback(id:)
       data = get("/status/#{id}").parse['job']
       data.nil? ? nil : ProjectFeedback.new(data)
      end
      
    end
  end
end