module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Schedules

      # Fetches all schedules
      #
      #
      # @return [Array<StrawberryAPI::Schedule>] A list of schedules
      # 
      def schedules
        get("/schedules").parse['schedules']&.map do |schedule|
          Schedule.new(schedule)
        end
      end

      # Fetches a schedule
      #
      # @param [Integer] id Id of the schedule to retrieve
      #
      # @return [StrawberryAPI::Schedule] The fetched schedule
      # 
      def schedule(id:)
        data = get("/schedules/#{id}").parse['schedule']
        data.nil? ? nil : Schedule.new(data)
      end
    
    end
  end
end