module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Searches

      # Searches for a term through projects and/or assets
      #
      # @param [String] term
      # @option [String] order_by 'updated_at'
      # @option [String] order 'desc'
      # @option [Integer] per_page 10
      # @option [Integer] page 1
      # @option [Boolean] projects true
      # @option [Boolean] assets true
      #
      # @return [Hash] A list of projets and/or assets matching the search term
      # 
      def search(term:, order_by: 'updated_at', order: 'desc', per_page: 10, page: 1, projects: true, assets: true)
        body = {term: term, order_by: order_by, order: order, per_page: per_page, page: page, projects: projets, assets: assets}
        
        get("/search", body: body)
      end
    
    end
  end
end