module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module StatusFlags

      # Fetches all status flags
      #
      #
      # @return [Array<StrawberryAPI::StatusFlag>] A list of status flags
      # 
      def status_flags
        get("/status_flags").parse['array']
      end

      # Fetches a status flag
      #
      # @param [Integer] id Id of the status flag to retrieve
      #
      # @return [StrawberryAPI::StatusFlag] The fetched status flag
      # 
      def status_flag(id:)
        data = get("/status_flags/#{id}").parse['status_flag']
        data.nil? ? nil : StatusFlag.new(data)
      end
      
    end
  end
end