module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Templates

      # Fetches all templates
      #
      #
      # @return [Array<StrawberryAPI::Template>] A list of the fetched templates
      # 
      def templates
        get("/templates").parse['templates']&.map do |template|
          Template.new(template)
        end
      end

      # Fetches a template
      #
      # @param [Integer] id If of the template to retrieve
      #
      # @return [StrawberryAPI::Template] The fetched template
      # 
      def template(id:)
        data = get("/templates/#{id}").parse['template']
        data.nil? ? nil : Template.new(data)
      end

    end
  end
end