module StrawberryAPI
  
  class CustomMetadataField

    attr_accessor :id
    attr_accessor :name
    attr_accessor :type
    attr_accessor :maxlen
    attr_accessor :mandatory
    attr_accessor :position
    attr_accessor :custom_metadata_set_id
    attr_accessor :use_in_project_name
    attr_accessor :restriction
    attr_accessor :pattern
    attr_accessor :select_field_options
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'select_field_options'
          v.map! do |custom_metadata_option|
            CustomMetadataOption.new(custom_metadata_option)
          end
        end
        
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

  end
end
