module StrawberryAPI
  
  class CustomMetadatum

    attr_accessor :project_id
    attr_accessor :asset_id
    attr_accessor :custom_metadata_field_id
    attr_accessor :custom_metadata_field_name
    attr_accessor :value
    attr_accessor :safe_search
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'custom_metadata_field'
          k = 'custom_metadata_field_name'
          v = v['name']
        end
        
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

    def self.filthify(custom_metadata:)
      filthy_hash = Hash.new

      custom_metadata.each_with_index do |(key, val), i|
        filthy_hash["custom_metadata[#{i}][custom_metadata_field]"] = key
        filthy_hash["custom_metadata[#{i}][value]"] = val
      end

      return filthy_hash
    end

  end
end
