module StrawberryAPI

  class Project

    attr_accessor :id
    attr_accessor :name
    attr_accessor :size
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :locked_by
    attr_accessor :frozen_by_id
    attr_accessor :templatename
    attr_accessor :template_type
    attr_accessor :last_opened_by
    attr_accessor :created_by
    attr_accessor :last_used_at
    attr_accessor :delta
    attr_accessor :user_id
    attr_accessor :archive_strategy_id
    attr_accessor :archive_strategy_state
    attr_accessor :archive_strategy_state_id
    attr_accessor :frozen_by_id
    attr_accessor :is_library_project
    attr_accessor :last_opened_by_edit
    attr_accessor :created_by_edit
    attr_accessor :deleted
    attr_accessor :owner_id
    attr_accessor :quota
    attr_accessor :prefix
    attr_accessor :encoding_priority
    attr_accessor :fsp_cache
    attr_accessor :alternative_name
    attr_accessor :tiering_storage
    attr_accessor :tiered_at
    attr_accessor :mounted_by
    attr_accessor :subprojects
    attr_accessor :parentprojects

    def initialize(params = {})
      params.each do |k, v|
        if k == 'archive_strategy_state'
          v = ArchiveStrategyState.new(v)
        end

        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

    # Shortcut that determines whether the project is locked
    #
    #
    # @return [Boolean] Project locked
    #
    def locked?
      !self.locked_by.nil?
    end

    # Shortcut that determines whether the project is frozen
    #
    #
    # @return [Boolean] Project frozen
    #
    def frozen?
      !self.frozen_by_id.nil?
    end

    # Shortcut that determines whether the project is archived
    #
    #
    # @return [Boolean] Project archived
    #
    def archived?
      !self.archive_strategy_id.nil?
    end

    # Shortcut that determines whether the project is deleted
    #
    #
    # @return [Boolean] Project deleted
    #
    def deleted?
      self.deleted
    end
  end
end
